import { createAsyncThunk } from "@reduxjs/toolkit";
import axios from "axios";
import { LOADING_END, LOADING_START } from "../../../lib/redux/slices/appSlice";

export const visorsGetPredictionStaticsChartService = createAsyncThunk(
  "VISORS_GET_PREDICTION_STATICS_CHART",
  async (d, { dispatch }) => {
    dispatch(LOADING_START());
    const { data, status } = await axios.get(
      `poultry_hatching_prediction_chart`,
      {
        params: d,
      }
    );
    dispatch(LOADING_END());
    return { data, status };
  }
);
